Subject: Re: [PATCH] net: usb: ax88179_178a: avoid writing the mac address before first reading

From: Jakub Kicinski <[email-masked]>
Date: Thu, 11 Apr 2024 19:51:29 -0700

On Wed, 10 Apr 2024 11:55:49 +0200 Jose Ignacio Tornos Martinez wrote:
> After the commit d2689b6a86b9 ("net: usb: ax88179_178a: avoid two
> consecutive device resets"), reset operation, in which the default mac
> address from the device is read, is not executed from bind operation and
> the random address, that is pregenerated just in case, is direclty written
> the first time in the device, so the default one from the device is not
> even read. This writing is not dangerous because is volatile and the
> default mac address is not missed.

AFAICT the reset is synchronous to resume, right?

I think you can use netif_device_detach() and netif_device_attach()
to prevent getting called while suspended.